Package com.google.android.exoplayer2.metadata.dvbsi

## Class AppInfoTable

- java.lang.Object
- - com.google.android.exoplayer2.metadata.dvbsi.AppInfoTable

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class AppInfoTable
      extends Object
      implements Metadata.Entry

  A representation of a DVB Application Information Table (AIT).

  For more info on the AIT see section 5.3.4 of the DVB ETSI TS 102 809 v1.1.1 spec.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CONTROL_CODE_AUTOSTART` | The application shall be started when the service is selected, unless the application is already running.
    `static int` | `CONTROL_CODE_PRESENT` | The application is allowed to run while the service is selected, however it shall not start automatically when the service becomes selected.
    `int` | `controlCode` |
    `static Parcelable.Creator<AppInfoTable>` | `CREATOR` |
    `String` | `url` |

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppInfoTable​(int controlCode, String url)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel parcel, int i)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### CONTROL_CODE_AUTOSTART

          public static final int CONTROL_CODE_AUTOSTART

      The application shall be started when the service is selected, unless the application is already running.
      See Also:
        Constant Field Values

    - #### CONTROL_CODE_PRESENT

          public static final int CONTROL_CODE_PRESENT

      The application is allowed to run while the service is selected, however it shall not start automatically when the service becomes selected.
      See Also:
        Constant Field Values

    - #### controlCode

          public final int controlCode

    - #### url

          public final String url

    - #### CREATOR

          public static final Parcelable.Creator<AppInfoTable> CREATOR

  - ### Constructor Detail

    - #### AppInfoTable

          public AppInfoTable​(int controlCode,
                              String url)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel parcel,
                                    int i)

      Specified by:
        `writeToParcel` in interface `Parcelable`